# MysteryEncounterSaveData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MysteryEncounterSaveData

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:25

##### Index

### Constructors

constructor

### Properties

encounteredEvents
encounterSpawnChance
queuedEncounters

## Constructors

### constructor

- new MysteryEncounterSaveData(
  data?: MysteryEncounterSaveData ,
  ): MysteryEncounterSaveData

  #### Parameters

  - `Optional` data: MysteryEncounterSaveData

  #### Returns MysteryEncounterSaveData

  - Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:30

## Properties

### encounteredEvents

encounteredEvents: SeenEncounterData [] = []

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:26

### encounterSpawnChance

encounterSpawnChance: number = BASE_MYSTERY_ENCOUNTER_SPAWN_WEIGHT

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:27

### queuedEncounters

queuedEncounters: QueuedEncounter [] = []

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:28